Package org.apache.tapestry5.commons.util

## Class UnknownValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tapestry5.commons.internal.util.TapestryException
        - - org.apache.tapestry5.commons.util.UnknownValueException

- All Implemented Interfaces:
    `Serializable`, `Locatable`
  Direct Known Subclasses:
    `CoercionNotFoundException`

      public class UnknownValueException
      extends TapestryException

  Special exception used when a value (typically from a map) is referenced that does not exist. Uses a `AvailableValues` object to track what the known values are.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnknownValueException​(String message, Object location, Throwable cause, AvailableValues availableValues)` |
    `UnknownValueException​(String message, AvailableValues availableValues)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AvailableValues` | `getAvailableValues()` |

    - ### Methods inherited from class org.apache.tapestry5.commons.internal.util.TapestryException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownValueException

          public UnknownValueException​(String message,
                                       AvailableValues availableValues)

    - #### UnknownValueException

          public UnknownValueException​(String message,
                                       Object location,
                                       Throwable cause,
                                       AvailableValues availableValues)

  - ### Method Detail

    - #### getAvailableValues

          public AvailableValues getAvailableValues()